package ctp2.unit;

/**
 * This class represents a Unit.
 * Creation date: (26-11-01 14:56:04)
 * @author: Klaus Kaan
 */
public class Unit {
	private java.lang.String name;
	private java.lang.String defaultIcon;
	private java.lang.String description;
	private java.lang.String defaultSprite;
	private java.lang.String category;
	private int attack;
	private int defense;
	private int zBRangeAttack;
	private int firepower;
	private int armor;
	private int maxHP;
	private int shieldCost;
	private int powerPoints;
	private int shieldHunger;
	private int foodHunger;
	private int maxMovePoints;
	private int visionRange;
	private java.lang.String enableAdvance;
	private java.lang.String governmentType;
	private int bombRounds;
	private int bombardRange;
	private boolean canCounterBombard;
	private int activeDefenseRange;
	private boolean activeDefenseOnlyWhenCarryingEnablers;
	private boolean EnableCarrierDefenses;
	private boolean lossMoveToDmgNone;
	private boolean noFuelThenCrash;
	private int maxFuel;
	private boolean hasPopAndCanBuild;
	private boolean cantBuild;
	private double cityGrowthCoefficient;
	private boolean noIndex;
	private boolean gLHidden;
	private boolean canEntrench;
	private boolean isTrader;
	private boolean canExpel;
	private boolean canPillage;
	private boolean canPirate;
	private boolean ignoreZOC;
	private boolean noZoc;
	private java.lang.String settleCityType;
	private int settleSize;
	private boolean canBeachAssault;
	private boolean canSue;
	private boolean canBeSued;
	private boolean canBeExpelled;
	private boolean cantCaptureCity;
	private int spaceLaunch;
	private boolean victoryEnslavement;
	private boolean establishEmbassy;
	private boolean throwParty;
	private boolean singleUse;
	private boolean needsNoSupport;
	private boolean noSlaves;
	private boolean isSpecialForces;
	private double defendAgainstSpies;
	private boolean isTelevangelist;
	private boolean civilian;
	private boolean exertsMartialLaw;
	private boolean deathEffectsHappy;
	private boolean buildingRemovesAPop;
	private boolean onlyBuildOne;
	private boolean bonusAgainstMounted;
	private double mountedBonus;
	private boolean isSubmarine;
	private boolean advertise;
	private boolean isFlanker;
	private boolean isMounted;
	private boolean woodenShip;
	private boolean attackWoodenShipBonus;
	private double woodenShipBonus;
	private boolean paratrooper;
	private boolean paratrooperTransport;
	private boolean explodes;
	private java.lang.String soundSelect1;
	private java.lang.String soundSelect2;
	private java.lang.String soundMove;
	private java.lang.String soundAcknowledge;
	private java.lang.String soundCantMove;
	private java.lang.String soundAttack;
	private java.lang.String soundWork;
	private java.lang.String soundVictory;
	private java.lang.String soundDeath;
	private boolean canAttackAir;
	private boolean canAttackLand;
	private boolean canAttackMountain;
	private boolean canAttackSea;
	private boolean canAttackUnderwater;
	private boolean canAttackShallowWater;
	private boolean canBombardAir;
	private boolean canBombardLand;
	private boolean canBombardMountain;
	private boolean canBombardWater;
	private boolean canCarrySmallLand;
	private boolean canCarryMedLand;
	private boolean canCarrySmallAir;
	private boolean canCarryMedAir;
	private boolean canSeeStandard;
	private boolean canSeeStealth;
	private boolean canSeeUnderwater;
	private boolean defendAir;
	private boolean movementTypeAir;
	private boolean movementTypeLand;
	private boolean movementTypeMountain;
	private boolean movementTypeSea;
	private boolean movementTypeShallowWater;
	private boolean movementTypeTrade;
	private boolean SettleLand;
	private boolean settleMountain;
	private boolean settleWater;
	private boolean sizeSmall;
	private boolean sizeMedium;
	private boolean sizeLarge;
	private boolean visionClassStandard;
	private boolean visionClassStealth;
	private boolean VisionClassUnderwater;
	private java.util.ArrayList unitActions;
	private java.util.ArrayList obsoleteAdvance;
	private java.util.ArrayList settleBuilding;
/**
 * Unit constructor comment.
 */
public Unit() {
	super();
	unitActions = new java.util.ArrayList();
	obsoleteAdvance = new java.util.ArrayList();
	settleBuilding = new java.util.ArrayList();
}
/**
 * Insert the method's description here.
 * Creation date: (27-11-01 22:03:10)
 * @param aObsoleteAdvance java.lang.String
 */
public void addObsoleteAdvance(String aObsoleteAdvance) {
	obsoleteAdvance.add(aObsoleteAdvance);
	}
/**
 * Insert the method's description here.
 * Creation date: (27-11-01 22:06:11)
 * @param aSettleBuilding java.lang.String
 */
public void addSettleBuilding(String aSettleBuilding) {
	settleBuilding.add(aSettleBuilding);
	}
/**
 * Insert the method's description here.
 * Creation date: (27-11-01 21:57:18)
 * @param aUnitAction ctp2.unit.UnitAction
 */
public void addUnitAction(UnitAction aUnitAction) {
	unitActions.add(aUnitAction);
	}
/**
 * Insert the method's description here.
 * Creation date: (26-11-01 21:09:27)
 * @return int
 */
public int getActiveDefenseRange() {
	return activeDefenseRange;
}
/**
 * Insert the method's description here.
 * Creation date: (26-11-01 21:00:22)
 * @return int
 */
public int getArmor() {
	return armor;
}
/**
 * Insert the method's description here.
 * Creation date: (26-11-01 20:59:01)
 * @return int
 */
public int getAttack() {
	return attack;
}
/**
 * Insert the method's description here.
 * Creation date: (26-11-01 21:08:42)
 * @return int
 */
public int getBombardRange() {
	return bombardRange;
}
/**
 * Insert the method's description here.
 * Creation date: (26-11-01 21:08:24)
 * @return int
 */
public int getBombRounds() {
	return bombRounds;
}
/**
 * Insert the method's description here.
 * Creation date: (26-11-01 20:58:42)
 * @return java.lang.String
 */
public java.lang.String getCategory() {
	return category;
}
/**
 * Insert the method's description here.
 * Creation date: (26-11-01 21:12:43)
 * @return double
 */
public double getCityGrowthCoefficient() {
	return cityGrowthCoefficient;
}
/**
 * Insert the method's description here.
 * Creation date: (26-11-01 20:57:25)
 * @return java.lang.String
 */
public java.lang.String getDefaultIcon() {
	return defaultIcon;
}
/**
 * Insert the method's description here.
 * Creation date: (26-11-01 20:58:16)
 * @return java.lang.String
 */
public java.lang.String getDefaultSprite() {
	return defaultSprite;
}
/**
 * Insert the method's description here.
 * Creation date: (26-11-01 21:53:46)
 * @return double
 */
public double getDefendAgainstSpies() {
	return defendAgainstSpies;
}
/**
 * Insert the method's description here.
 * Creation date: (26-11-01 20:59:19)
 * @return int
 */
public int getDefense() {
	return defense;
}
/**
 * Insert the method's description here.
 * Creation date: (26-11-01 20:57:50)
 * @return java.lang.String
 */
public java.lang.String getDescription() {
	return description;
}
/**
 * Insert the method's description here.
 * Creation date: (26-11-01 21:05:13)
 * @return java.lang.String
 */
public java.lang.String getEnableAdvance() {
	return enableAdvance;
}
/**
 * Insert the method's description here.
 * Creation date: (26-11-01 21:00:02)
 * @return int
 */
public int getFirepower() {
	return firepower;
}
/**
 * Insert the method's description here.
 * Creation date: (26-11-01 21:03:15)
 * @return int
 */
public int getFoodHunger() {
	return foodHunger;
}
/**
 * Insert the method's description here.
 * Creation date: (26-11-01 21:08:07)
 * @return java.lang.String
 */
public java.lang.String getGovernmentType() {
	return governmentType;
}
/**
 * Insert the method's description here.
 * Creation date: (26-11-01 21:11:36)
 * @return int
 */
public int getMaxFuel() {
	return maxFuel;
}
/**
 * Insert the method's description here.
 * Creation date: (26-11-01 21:00:55)
 * @return int
 */
public int getMaxHP() {
	return maxHP;
}
/**
 * Insert the method's description here.
 * Creation date: (26-11-01 21:03:56)
 * @return int
 */
public int getMaxMovePoints() {
	return maxMovePoints;
}
/**
 * Insert the method's description here.
 * Creation date: (26-11-01 21:58:19)
 * @return double
 */
public double getMountedBonus() {
	return mountedBonus;
}
/**
 * Insert the method's description here.
 * Creation date: (26-11-01 20:56:14)
 * @return java.lang.String
 */
public java.lang.String getName() {
	return name;
}
/**
 * Insert the method's description here.
 * Creation date: (27-11-01 22:04:29)
 * @return java.util.ListIterator
 */
public java.util.ListIterator getObsoleteAdvanceIterator() {
	return obsoleteAdvance.listIterator();
}
/**
 * Insert the method's description here.
 * Creation date: (26-11-01 21:01:53)
 * @return int
 */
public int getPowerPoints() {
	return powerPoints;
}
/**
 * Insert the method's description here.
 * Creation date: (27-11-01 22:07:25)
 * @return java.util.ListIterator
 */
public java.util.ListIterator getSettleBuildingIterator() {
	return settleBuilding.listIterator();
}
/**
 * Insert the method's description here.
 * Creation date: (26-11-01 21:20:09)
 * @return java.lang.String
 */
public java.lang.String getSettleCityType() {
	return settleCityType;
}
/**
 * Insert the method's description here.
 * Creation date: (26-11-01 21:20:35)
 * @return int
 */
public int getSettleSize() {
	return settleSize;
}
/**
 * Insert the method's description here.
 * Creation date: (26-11-01 21:01:24)
 * @return int
 */
public int getShieldCost() {
	return shieldCost;
}
/**
 * Insert the method's description here.
 * Creation date: (26-11-01 21:02:24)
 * @return int
 */
public int getShieldHunger() {
	return shieldHunger;
}
/**
 * Insert the method's description here.
 * Creation date: (26-11-01 22:05:44)
 * @return java.lang.String
 */
public java.lang.String getSoundAcknowledge() {
	return soundAcknowledge;
}
/**
 * Insert the method's description here.
 * Creation date: (26-11-01 22:06:33)
 * @return java.lang.String
 */
public java.lang.String getSoundAttack() {
	return soundAttack;
}
/**
 * Insert the method's description here.
 * Creation date: (26-11-01 22:06:10)
 * @return java.lang.String
 */
public java.lang.String getSoundCantMove() {
	return soundCantMove;
}
/**
 * Insert the method's description here.
 * Creation date: (26-11-01 22:07:35)
 * @return java.lang.String
 */
public java.lang.String getSoundDeath() {
	return soundDeath;
}
/**
 * Insert the method's description here.
 * Creation date: (26-11-01 22:04:19)
 * @return java.lang.String
 */
public java.lang.String getSoundMove() {
	return soundMove;
}
/**
 * Insert the method's description here.
 * Creation date: (26-11-01 22:03:44)
 * @return java.lang.String
 */
public java.lang.String getSoundSelect1() {
	return soundSelect1;
}
/**
 * Insert the method's description here.
 * Creation date: (26-11-01 22:04:00)
 * @return java.lang.String
 */
public java.lang.String getSoundSelect2() {
	return soundSelect2;
}
/**
 * Insert the method's description here.
 * Creation date: (26-11-01 22:07:14)
 * @return java.lang.String
 */
public java.lang.String getSoundVictory() {
	return soundVictory;
}
/**
 * Insert the method's description here.
 * Creation date: (26-11-01 22:06:54)
 * @return java.lang.String
 */
public java.lang.String getSoundWork() {
	return soundWork;
}
/**
 * Insert the method's description here.
 * Creation date: (26-11-01 21:29:13)
 * @return int
 */
public int getSpaceLaunch() {
	return spaceLaunch;
}
/**
 * Insert the method's description here.
 * Creation date: (27-11-01 21:59:12)
 * @return ctp2.unit.UnitAction
 */
public java.util.ListIterator getUnitActionsIterator() {
	return unitActions.listIterator();
}
/**
 * Insert the method's description here.
 * Creation date: (26-11-01 21:04:47)
 * @return int
 */
public int getVisionRange() {
	return visionRange;
}
/**
 * Insert the method's description here.
 * Creation date: (26-11-01 22:01:38)
 * @return double
 */
public double getWoodenShipBonus() {
	return woodenShipBonus;
}
/**
 * Insert the method's description here.
 * Creation date: (26-11-01 20:59:45)
 * @return int
 */
public int getZBRangeAttack() {
	return zBRangeAttack;
}
/**
 * Insert the method's description here.
 * Creation date: (26-11-01 21:09:56)
 * @return boolean
 */
public boolean isActiveDefenseOnlyWhenCarryingEnablers() {
	return activeDefenseOnlyWhenCarryingEnablers;
}
/**
 * Insert the method's description here.
 * Creation date: (26-11-01 21:58:59)
 * @return boolean
 */
public boolean isAdvertise() {
	return advertise;
}
/**
 * Insert the method's description here.
 * Creation date: (26-11-01 22:00:24)
 * @return boolean
 */
public boolean isAttackWoodenShipBonus() {
	return attackWoodenShipBonus;
}
/**
 * Insert the method's description here.
 * Creation date: (26-11-01 21:57:57)
 * @return boolean
 */
public boolean isBonusAgainstMounted() {
	return bonusAgainstMounted;
}
/**
 * Insert the method's description here.
 * Creation date: (26-11-01 21:57:16)
 * @return boolean
 */
public boolean isBuildingRemovesAPop() {
	return buildingRemovesAPop;
}
/**
 * Insert the method's description here.
 * Creation date: (26-11-01 22:35:34)
 * @return boolean
 */
public boolean isCanAttackAir() {
	return canAttackAir;
}
/**
 * Insert the method's description here.
 * Creation date: (26-11-01 22:35:53)
 * @return boolean
 */
public boolean isCanAttackLand() {
	return canAttackLand;
}
/**
 * Insert the method's description here.
 * Creation date: (26-11-01 22:36:13)
 * @return boolean
 */
public boolean isCanAttackMountain() {
	return canAttackMountain;
}
/**
 * Insert the method's description here.
 * Creation date: (26-11-01 22:36:39)
 * @return boolean
 */
public boolean isCanAttackSea() {
	return canAttackSea;
}
/**
 * Insert the method's description here.
 * Creation date: (26-11-01 22:37:25)
 * @return boolean
 */
public boolean isCanAttackShallowWater() {
	return canAttackShallowWater;
}
/**
 * Insert the method's description here.
 * Creation date: (26-11-01 22:36:58)
 * @return boolean
 */
public boolean isCanAttackUnderwater() {
	return canAttackUnderwater;
}
/**
 * Insert the method's description here.
 * Creation date: (26-11-01 21:22:28)
 * @return boolean
 */
public boolean isCanBeachAssault() {
	return canBeachAssault;
}
/**
 * Insert the method's description here.
 * Creation date: (26-11-01 21:24:33)
 * @return boolean
 */
public boolean isCanBeExpelled() {
	return canBeExpelled;
}
/**
 * Insert the method's description here.
 * Creation date: (26-11-01 21:24:04)
 * @return boolean
 */
public boolean isCanBeSued() {
	return canBeSued;
}
/**
 * Insert the method's description here.
 * Creation date: (26-11-01 22:38:09)
 * @return boolean
 */
public boolean isCanBombardAir() {
	return canBombardAir;
}
/**
 * Insert the method's description here.
 * Creation date: (26-11-01 22:38:23)
 * @return boolean
 */
public boolean isCanBombardLand() {
	return canBombardLand;
}
/**
 * Insert the method's description here.
 * Creation date: (26-11-01 22:38:38)
 * @return boolean
 */
public boolean isCanBombardMountain() {
	return canBombardMountain;
}
/**
 * Insert the method's description here.
 * Creation date: (26-11-01 22:39:00)
 * @return boolean
 */
public boolean isCanBombardWater() {
	return canBombardWater;
}
/**
 * Insert the method's description here.
 * Creation date: (26-11-01 22:41:20)
 * @return boolean
 */
public boolean isCanCarryMedAir() {
	return canCarryMedAir;
}
/**
 * Insert the method's description here.
 * Creation date: (26-11-01 22:40:06)
 * @return boolean
 */
public boolean isCanCarryMedLand() {
	return canCarryMedLand;
}
/**
 * Insert the method's description here.
 * Creation date: (26-11-01 22:40:31)
 * @return boolean
 */
public boolean isCanCarrySmallAir() {
	return canCarrySmallAir;
}
/**
 * Insert the method's description here.
 * Creation date: (26-11-01 22:39:51)
 * @return boolean
 */
public boolean isCanCarrySmallLand() {
	return canCarrySmallLand;
}
/**
 * Insert the method's description here.
 * Creation date: (26-11-01 21:09:05)
 * @return boolean
 */
public boolean isCanCounterBombard() {
	return canCounterBombard;
}
/**
 * Insert the method's description here.
 * Creation date: (26-11-01 21:14:22)
 * @return boolean
 */
public boolean isCanEntrench() {
	return canEntrench;
}
/**
 * Insert the method's description here.
 * Creation date: (26-11-01 21:16:46)
 * @return boolean
 */
public boolean isCanExpel() {
	return canExpel;
}
/**
 * Insert the method's description here.
 * Creation date: (26-11-01 21:17:06)
 * @return boolean
 */
public boolean isCanPillage() {
	return canPillage;
}
/**
 * Insert the method's description here.
 * Creation date: (26-11-01 21:18:54)
 * @return boolean
 */
public boolean isCanPirate() {
	return canPirate;
}
/**
 * Insert the method's description here.
 * Creation date: (26-11-01 22:42:15)
 * @return boolean
 */
public boolean isCanSeeStandard() {
	return canSeeStandard;
}
/**
 * Insert the method's description here.
 * Creation date: (26-11-01 22:42:38)
 * @return boolean
 */
public boolean isCanSeeStealth() {
	return canSeeStealth;
}
/**
 * Insert the method's description here.
 * Creation date: (26-11-01 22:42:55)
 * @return boolean
 */
public boolean isCanSeeUnderwater() {
	return canSeeUnderwater;
}
/**
 * Insert the method's description here.
 * Creation date: (26-11-01 21:23:42)
 * @return boolean
 */
public boolean isCanSue() {
	return canSue;
}
/**
 * Insert the method's description here.
 * Creation date: (26-11-01 21:12:20)
 * @return boolean
 */
public boolean isCantBuild() {
	return cantBuild;
}
/**
 * Insert the method's description here.
 * Creation date: (26-11-01 21:24:55)
 * @return boolean
 */
public boolean isCantCaptureCity() {
	return cantCaptureCity;
}
/**
 * Insert the method's description here.
 * Creation date: (26-11-01 21:55:02)
 * @return boolean
 */
public boolean isCivilian() {
	return civilian;
}
/**
 * Insert the method's description here.
 * Creation date: (26-11-01 21:56:56)
 * @return boolean
 */
public boolean isDeathEffectsHappy() {
	return deathEffectsHappy;
}
/**
 * Insert the method's description here.
 * Creation date: (26-11-01 22:43:23)
 * @return boolean
 */
public boolean isDefendAir() {
	return defendAir;
}
/**
 * Insert the method's description here.
 * Creation date: (26-11-01 21:10:22)
 * @return boolean
 */
public boolean isEnableCarrierDefenses() {
	return EnableCarrierDefenses;
}
/**
 * Insert the method's description here.
 * Creation date: (26-11-01 21:50:21)
 * @return boolean
 */
public boolean isEstablishEmbassy() {
	return establishEmbassy;
}
/**
 * Insert the method's description here.
 * Creation date: (26-11-01 21:56:35)
 * @return boolean
 */
public boolean isExertsMartialLaw() {
	return exertsMartialLaw;
}
/**
 * Insert the method's description here.
 * Creation date: (26-11-01 22:02:41)
 * @return boolean
 */
public boolean isExplodes() {
	return explodes;
}
/**
 * Insert the method's description here.
 * Creation date: (26-11-01 21:59:18)
 * @return boolean
 */
public boolean isFlanker() {
	return isFlanker;
}
/**
 * Insert the method's description here.
 * Creation date: (26-11-01 21:13:24)
 * @return boolean
 */
public boolean isGLHidden() {
	return gLHidden;
}
/**
 * Insert the method's description here.
 * Creation date: (26-11-01 21:11:57)
 * @return boolean
 */
public boolean isHasPopAndCanBuild() {
	return hasPopAndCanBuild;
}
/**
 * Insert the method's description here.
 * Creation date: (26-11-01 21:19:23)
 * @return boolean
 */
public boolean isIgnoreZOC() {
	return ignoreZOC;
}
/**
 * Insert the method's description here.
 * Creation date: (26-11-01 21:10:50)
 * @return boolean
 */
public boolean isLossMoveToDmgNone() {
	return lossMoveToDmgNone;
}
/**
 * Insert the method's description here.
 * Creation date: (26-11-01 21:59:44)
 * @return boolean
 */
public boolean isMounted() {
	return isMounted;
}
/**
 * Insert the method's description here.
 * Creation date: (26-11-01 22:44:20)
 * @return boolean
 */
public boolean isMovementTypeAir() {
	return movementTypeAir;
}
/**
 * Insert the method's description here.
 * Creation date: (26-11-01 22:44:35)
 * @return boolean
 */
public boolean isMovementTypeLand() {
	return movementTypeLand;
}
/**
 * Insert the method's description here.
 * Creation date: (26-11-01 22:44:58)
 * @return boolean
 */
public boolean isMovementTypeMountain() {
	return movementTypeMountain;
}
/**
 * Insert the method's description here.
 * Creation date: (26-11-01 22:45:15)
 * @return boolean
 */
public boolean isMovementTypeSea() {
	return movementTypeSea;
}
/**
 * Insert the method's description here.
 * Creation date: (26-11-01 22:45:31)
 * @return boolean
 */
public boolean isMovementTypeShallowWater() {
	return movementTypeShallowWater;
}
/**
 * Insert the method's description here.
 * Creation date: (26-11-01 22:45:49)
 * @return boolean
 */
public boolean isMovementTypeTrade() {
	return movementTypeTrade;
}
/**
 * Insert the method's description here.
 * Creation date: (26-11-01 21:51:54)
 * @return boolean
 */
public boolean isNeedsNoSupport() {
	return needsNoSupport;
}
/**
 * Insert the method's description here.
 * Creation date: (26-11-01 21:11:09)
 * @return boolean
 */
public boolean isNoFuelThenCrash() {
	return noFuelThenCrash;
}
/**
 * Insert the method's description here.
 * Creation date: (26-11-01 21:13:04)
 * @return boolean
 */
public boolean isNoIndex() {
	return noIndex;
}
/**
 * Insert the method's description here.
 * Creation date: (26-11-01 21:52:15)
 * @return boolean
 */
public boolean isNoSlaves() {
	return noSlaves;
}
/**
 * Insert the method's description here.
 * Creation date: (26-11-01 21:19:44)
 * @return boolean
 */
public boolean isNoZoc() {
	return noZoc;
}
/**
 * Insert the method's description here.
 * Creation date: (26-11-01 21:57:38)
 * @return boolean
 */
public boolean isOnlyBuildOne() {
	return onlyBuildOne;
}
/**
 * Insert the method's description here.
 * Creation date: (26-11-01 22:01:56)
 * @return boolean
 */
public boolean isParatrooper() {
	return paratrooper;
}
/**
 * Insert the method's description here.
 * Creation date: (26-11-01 22:02:23)
 * @return boolean
 */
public boolean isParatrooperTransport() {
	return paratrooperTransport;
}
/**
 * Insert the method's description here.
 * Creation date: (26-11-01 22:46:13)
 * @return boolean
 */
public boolean isSettleLand() {
	return SettleLand;
}
/**
 * Insert the method's description here.
 * Creation date: (26-11-01 22:46:27)
 * @return boolean
 */
public boolean isSettleMountain() {
	return settleMountain;
}
/**
 * Insert the method's description here.
 * Creation date: (26-11-01 22:46:42)
 * @return boolean
 */
public boolean isSettleWater() {
	return settleWater;
}
/**
 * Insert the method's description here.
 * Creation date: (26-11-01 21:51:31)
 * @return boolean
 */
public boolean isSingleUse() {
	return singleUse;
}
/**
 * Insert the method's description here.
 * Creation date: (26-11-01 22:47:32)
 * @return boolean
 */
public boolean isSizeLarge() {
	return sizeLarge;
}
/**
 * Insert the method's description here.
 * Creation date: (26-11-01 22:47:20)
 * @return boolean
 */
public boolean isSizeMedium() {
	return sizeMedium;
}
/**
 * Insert the method's description here.
 * Creation date: (26-11-01 22:47:00)
 * @return boolean
 */
public boolean isSizeSmall() {
	return sizeSmall;
}
/**
 * Insert the method's description here.
 * Creation date: (26-11-01 21:52:40)
 * @return boolean
 */
public boolean isSpecialForces() {
	return isSpecialForces;
}
/**
 * Insert the method's description here.
 * Creation date: (26-11-01 21:58:40)
 * @return boolean
 */
public boolean isSubmarine() {
	return isSubmarine;
}
/**
 * Insert the method's description here.
 * Creation date: (26-11-01 21:54:08)
 * @return boolean
 */
public boolean isTelevangelist() {
	return isTelevangelist;
}
/**
 * Insert the method's description here.
 * Creation date: (26-11-01 21:50:42)
 * @return boolean
 */
public boolean isThrowParty() {
	return throwParty;
}
/**
 * Insert the method's description here.
 * Creation date: (26-11-01 21:15:09)
 * @return boolean
 */
public boolean isTrader() {
	return isTrader;
}
/**
 * Insert the method's description here.
 * Creation date: (26-11-01 21:31:41)
 * @return boolean
 */
public boolean isVictoryEnslavement() {
	return victoryEnslavement;
}
/**
 * Insert the method's description here.
 * Creation date: (26-11-01 22:47:57)
 * @return boolean
 */
public boolean isVisionClassStandard() {
	return visionClassStandard;
}
/**
 * Insert the method's description here.
 * Creation date: (26-11-01 22:48:21)
 * @return boolean
 */
public boolean isVisionClassStealth() {
	return visionClassStealth;
}
/**
 * Insert the method's description here.
 * Creation date: (26-11-01 22:48:40)
 * @return boolean
 */
public boolean isVisionClassUnderwater() {
	return VisionClassUnderwater;
}
/**
 * Insert the method's description here.
 * Creation date: (26-11-01 22:00:05)
 * @return boolean
 */
public boolean isWoodenShip() {
	return woodenShip;
}
/**
 * Insert the method's description here.
 * Creation date: (26-11-01 21:09:56)
 * @param newActiveDefenseOnlyWhenCarryingEnablers boolean
 */
public void setActiveDefenseOnlyWhenCarryingEnablers(boolean newActiveDefenseOnlyWhenCarryingEnablers) {
	activeDefenseOnlyWhenCarryingEnablers = newActiveDefenseOnlyWhenCarryingEnablers;
}
/**
 * Insert the method's description here.
 * Creation date: (26-11-01 21:09:27)
 * @param newActiveDefenseRange int
 */
public void setActiveDefenseRange(int newActiveDefenseRange) {
	activeDefenseRange = newActiveDefenseRange;
}
/**
 * Insert the method's description here.
 * Creation date: (26-11-01 21:58:59)
 * @param newAdvertise boolean
 */
public void setAdvertise(boolean newAdvertise) {
	advertise = newAdvertise;
}
/**
 * Insert the method's description here.
 * Creation date: (26-11-01 21:00:22)
 * @param newArmor int
 */
public void setArmor(int newArmor) {
	armor = newArmor;
}
/**
 * Insert the method's description here.
 * Creation date: (26-11-01 20:59:01)
 * @param newAttack int
 */
public void setAttack(int newAttack) {
	attack = newAttack;
}
/**
 * Insert the method's description here.
 * Creation date: (26-11-01 22:00:24)
 * @param newAttackWoodenShipBonus boolean
 */
public void setAttackWoodenShipBonus(boolean newAttackWoodenShipBonus) {
	attackWoodenShipBonus = newAttackWoodenShipBonus;
}
/**
 * Insert the method's description here.
 * Creation date: (26-11-01 21:08:42)
 * @param newBombardRange int
 */
public void setBombardRange(int newBombardRange) {
	bombardRange = newBombardRange;
}
/**
 * Insert the method's description here.
 * Creation date: (26-11-01 21:08:24)
 * @param newBombRounds int
 */
public void setBombRounds(int newBombRounds) {
	bombRounds = newBombRounds;
}
/**
 * Insert the method's description here.
 * Creation date: (26-11-01 21:57:57)
 * @param newBonusAgainstMounted boolean
 */
public void setBonusAgainstMounted(boolean newBonusAgainstMounted) {
	bonusAgainstMounted = newBonusAgainstMounted;
}
/**
 * Insert the method's description here.
 * Creation date: (26-11-01 21:57:16)
 * @param newBuildingRemovesAPop boolean
 */
public void setBuildingRemovesAPop(boolean newBuildingRemovesAPop) {
	buildingRemovesAPop = newBuildingRemovesAPop;
}
/**
 * Insert the method's description here.
 * Creation date: (26-11-01 22:35:34)
 * @param newCanAttackAir boolean
 */
public void setCanAttackAir(boolean newCanAttackAir) {
	canAttackAir = newCanAttackAir;
}
/**
 * Insert the method's description here.
 * Creation date: (26-11-01 22:35:53)
 * @param newCanAttackLand boolean
 */
public void setCanAttackLand(boolean newCanAttackLand) {
	canAttackLand = newCanAttackLand;
}
/**
 * Insert the method's description here.
 * Creation date: (26-11-01 22:36:13)
 * @param newCanAttackMountain boolean
 */
public void setCanAttackMountain(boolean newCanAttackMountain) {
	canAttackMountain = newCanAttackMountain;
}
/**
 * Insert the method's description here.
 * Creation date: (26-11-01 22:36:39)
 * @param newCanAttackSea boolean
 */
public void setCanAttackSea(boolean newCanAttackSea) {
	canAttackSea = newCanAttackSea;
}
/**
 * Insert the method's description here.
 * Creation date: (26-11-01 22:37:25)
 * @param newCanAttackShallowWater boolean
 */
public void setCanAttackShallowWater(boolean newCanAttackShallowWater) {
	canAttackShallowWater = newCanAttackShallowWater;
}
/**
 * Insert the method's description here.
 * Creation date: (26-11-01 22:36:58)
 * @param newCanAttackUnderwater boolean
 */
public void setCanAttackUnderwater(boolean newCanAttackUnderwater) {
	canAttackUnderwater = newCanAttackUnderwater;
}
/**
 * Insert the method's description here.
 * Creation date: (26-11-01 21:22:28)
 * @param newCanBeachAssault boolean
 */
public void setCanBeachAssault(boolean newCanBeachAssault) {
	canBeachAssault = newCanBeachAssault;
}
/**
 * Insert the method's description here.
 * Creation date: (26-11-01 21:24:33)
 * @param newCanBeExpelled boolean
 */
public void setCanBeExpelled(boolean newCanBeExpelled) {
	canBeExpelled = newCanBeExpelled;
}
/**
 * Insert the method's description here.
 * Creation date: (26-11-01 21:24:04)
 * @param newCanBeSued boolean
 */
public void setCanBeSued(boolean newCanBeSued) {
	canBeSued = newCanBeSued;
}
/**
 * Insert the method's description here.
 * Creation date: (26-11-01 22:38:09)
 * @param newCanBombardAir boolean
 */
public void setCanBombardAir(boolean newCanBombardAir) {
	canBombardAir = newCanBombardAir;
}
/**
 * Insert the method's description here.
 * Creation date: (26-11-01 22:38:23)
 * @param newCanBombardLand boolean
 */
public void setCanBombardLand(boolean newCanBombardLand) {
	canBombardLand = newCanBombardLand;
}
/**
 * Insert the method's description here.
 * Creation date: (26-11-01 22:38:38)
 * @param newCanBombardMountain boolean
 */
public void setCanBombardMountain(boolean newCanBombardMountain) {
	canBombardMountain = newCanBombardMountain;
}
/**
 * Insert the method's description here.
 * Creation date: (26-11-01 22:39:00)
 * @param newCanBombardWater boolean
 */
public void setCanBombardWater(boolean newCanBombardWater) {
	canBombardWater = newCanBombardWater;
}
/**
 * Insert the method's description here.
 * Creation date: (26-11-01 22:41:20)
 * @param newCanCarryMedAir boolean
 */
public void setCanCarryMedAir(boolean newCanCarryMedAir) {
	canCarryMedAir = newCanCarryMedAir;
}
/**
 * Insert the method's description here.
 * Creation date: (26-11-01 22:40:06)
 * @param newCanCarryMedLand boolean
 */
public void setCanCarryMedLand(boolean newCanCarryMedLand) {
	canCarryMedLand = newCanCarryMedLand;
}
/**
 * Insert the method's description here.
 * Creation date: (26-11-01 22:40:31)
 * @param newCanCarrySmallAir boolean
 */
public void setCanCarrySmallAir(boolean newCanCarrySmallAir) {
	canCarrySmallAir = newCanCarrySmallAir;
}
/**
 * Insert the method's description here.
 * Creation date: (26-11-01 22:39:51)
 * @param newCanCarrySmallLand boolean
 */
public void setCanCarrySmallLand(boolean newCanCarrySmallLand) {
	canCarrySmallLand = newCanCarrySmallLand;
}
/**
 * Insert the method's description here.
 * Creation date: (26-11-01 21:09:05)
 * @param newCanCounterBombard boolean
 */
public void setCanCounterBombard(boolean newCanCounterBombard) {
	canCounterBombard = newCanCounterBombard;
}
/**
 * Insert the method's description here.
 * Creation date: (26-11-01 21:14:22)
 * @param newCanEntrench boolean
 */
public void setCanEntrench(boolean newCanEntrench) {
	canEntrench = newCanEntrench;
}
/**
 * Insert the method's description here.
 * Creation date: (26-11-01 21:16:46)
 * @param newCanExpel boolean
 */
public void setCanExpel(boolean newCanExpel) {
	canExpel = newCanExpel;
}
/**
 * Insert the method's description here.
 * Creation date: (26-11-01 21:17:06)
 * @param newCanPillage boolean
 */
public void setCanPillage(boolean newCanPillage) {
	canPillage = newCanPillage;
}
/**
 * Insert the method's description here.
 * Creation date: (26-11-01 21:18:54)
 * @param newCanPirate boolean
 */
public void setCanPirate(boolean newCanPirate) {
	canPirate = newCanPirate;
}
/**
 * Insert the method's description here.
 * Creation date: (26-11-01 22:42:15)
 * @param newCanSeeStandart boolean
 */
public void setCanSeeStandard(boolean newCanSeeStandard) {
	canSeeStandard = newCanSeeStandard;
}
/**
 * Insert the method's description here.
 * Creation date: (26-11-01 22:42:38)
 * @param newCanSeeStealth boolean
 */
public void setCanSeeStealth(boolean newCanSeeStealth) {
	canSeeStealth = newCanSeeStealth;
}
/**
 * Insert the method's description here.
 * Creation date: (26-11-01 22:42:55)
 * @param newCanSeeUnderwater boolean
 */
public void setCanSeeUnderwater(boolean newCanSeeUnderwater) {
	canSeeUnderwater = newCanSeeUnderwater;
}
/**
 * Insert the method's description here.
 * Creation date: (26-11-01 21:23:42)
 * @param newCanSue boolean
 */
public void setCanSue(boolean newCanSue) {
	canSue = newCanSue;
}
/**
 * Insert the method's description here.
 * Creation date: (26-11-01 21:12:20)
 * @param newCantBuild boolean
 */
public void setCantBuild(boolean newCantBuild) {
	cantBuild = newCantBuild;
}
/**
 * Insert the method's description here.
 * Creation date: (26-11-01 21:24:55)
 * @param newCantCaptureCity boolean
 */
public void setCantCaptureCity(boolean newCantCaptureCity) {
	cantCaptureCity = newCantCaptureCity;
}
/**
 * Insert the method's description here.
 * Creation date: (26-11-01 20:58:42)
 * @param newCategory java.lang.String
 */
public void setCategory(java.lang.String newCategory) {
	category = newCategory;
}
/**
 * Insert the method's description here.
 * Creation date: (26-11-01 21:12:43)
 * @param newCityGrowthCoefficient double
 */
public void setCityGrowthCoefficient(double newCityGrowthCoefficient) {
	cityGrowthCoefficient = newCityGrowthCoefficient;
}
/**
 * Insert the method's description here.
 * Creation date: (26-11-01 21:55:02)
 * @param newCivilian boolean
 */
public void setCivilian(boolean newCivilian) {
	civilian = newCivilian;
}
/**
 * Insert the method's description here.
 * Creation date: (26-11-01 21:56:56)
 * @param newDeathEffectsHappy boolean
 */
public void setDeathEffectsHappy(boolean newDeathEffectsHappy) {
	deathEffectsHappy = newDeathEffectsHappy;
}
/**
 * Insert the method's description here.
 * Creation date: (26-11-01 20:57:25)
 * @param newDefaultIcon java.lang.String
 */
public void setDefaultIcon(java.lang.String newDefaultIcon) {
	defaultIcon = newDefaultIcon;
}
/**
 * Insert the method's description here.
 * Creation date: (26-11-01 20:58:16)
 * @param newDefaultSprite java.lang.String
 */
public void setDefaultSprite(java.lang.String newDefaultSprite) {
	defaultSprite = newDefaultSprite;
}
/**
 * Insert the method's description here.
 * Creation date: (26-11-01 21:53:46)
 * @param newDefendAgainstSpies double
 */
public void setDefendAgainstSpies(double newDefendAgainstSpies) {
	defendAgainstSpies = newDefendAgainstSpies;
}
/**
 * Insert the method's description here.
 * Creation date: (26-11-01 22:43:23)
 * @param newDefendAir boolean
 */
public void setDefendAir(boolean newDefendAir) {
	defendAir = newDefendAir;
}
/**
 * Insert the method's description here.
 * Creation date: (26-11-01 20:59:19)
 * @param newDefense int
 */
public void setDefense(int newDefense) {
	defense = newDefense;
}
/**
 * Insert the method's description here.
 * Creation date: (26-11-01 20:57:50)
 * @param newDescription java.lang.String
 */
public void setDescription(java.lang.String newDescription) {
	description = newDescription;
}
/**
 * Insert the method's description here.
 * Creation date: (26-11-01 21:05:13)
 * @param newEnableAdvance java.lang.String
 */
public void setEnableAdvance(java.lang.String newEnableAdvance) {
	enableAdvance = newEnableAdvance;
}
/**
 * Insert the method's description here.
 * Creation date: (26-11-01 21:10:22)
 * @param newEnableCarrierDefenses boolean
 */
public void setEnableCarrierDefenses(boolean newEnableCarrierDefenses) {
	EnableCarrierDefenses = newEnableCarrierDefenses;
}
/**
 * Insert the method's description here.
 * Creation date: (26-11-01 21:50:21)
 * @param newEstablishEmbassy boolean
 */
public void setEstablishEmbassy(boolean newEstablishEmbassy) {
	establishEmbassy = newEstablishEmbassy;
}
/**
 * Insert the method's description here.
 * Creation date: (26-11-01 21:56:35)
 * @param newExertsMartialLaw boolean
 */
public void setExertsMartialLaw(boolean newExertsMartialLaw) {
	exertsMartialLaw = newExertsMartialLaw;
}
/**
 * Insert the method's description here.
 * Creation date: (26-11-01 22:02:41)
 * @param newExplodes boolean
 */
public void setExplodes(boolean newExplodes) {
	explodes = newExplodes;
}
/**
 * Insert the method's description here.
 * Creation date: (26-11-01 21:00:02)
 * @param newFirepower int
 */
public void setFirepower(int newFirepower) {
	firepower = newFirepower;
}
/**
 * Insert the method's description here.
 * Creation date: (26-11-01 21:03:15)
 * @param newFoodHunger int
 */
public void setFoodHunger(int newFoodHunger) {
	foodHunger = newFoodHunger;
}
/**
 * Insert the method's description here.
 * Creation date: (26-11-01 21:13:24)
 * @param newGLHidden boolean
 */
public void setGLHidden(boolean newGLHidden) {
	gLHidden = newGLHidden;
}
/**
 * Insert the method's description here.
 * Creation date: (26-11-01 21:08:07)
 * @param newGovernmentType java.lang.String
 */
public void setGovernmentType(java.lang.String newGovernmentType) {
	governmentType = newGovernmentType;
}
/**
 * Insert the method's description here.
 * Creation date: (26-11-01 21:11:57)
 * @param newHasPopAndCanBuild boolean
 */
public void setHasPopAndCanBuild(boolean newHasPopAndCanBuild) {
	hasPopAndCanBuild = newHasPopAndCanBuild;
}
/**
 * Insert the method's description here.
 * Creation date: (26-11-01 21:19:23)
 * @param newIgnoreZOC boolean
 */
public void setIgnoreZOC(boolean newIgnoreZOC) {
	ignoreZOC = newIgnoreZOC;
}
/**
 * Insert the method's description here.
 * Creation date: (26-11-01 21:59:18)
 * @param newIsFlanker boolean
 */
public void setIsFlanker(boolean newIsFlanker) {
	isFlanker = newIsFlanker;
}
/**
 * Insert the method's description here.
 * Creation date: (26-11-01 21:59:44)
 * @param newIsMounted boolean
 */
public void setIsMounted(boolean newIsMounted) {
	isMounted = newIsMounted;
}
/**
 * Insert the method's description here.
 * Creation date: (26-11-01 21:52:40)
 * @param newIsSpecialForces boolean
 */
public void setIsSpecialForces(boolean newIsSpecialForces) {
	isSpecialForces = newIsSpecialForces;
}
/**
 * Insert the method's description here.
 * Creation date: (26-11-01 21:58:40)
 * @param newIsSubmarine boolean
 */
public void setIsSubmarine(boolean newIsSubmarine) {
	isSubmarine = newIsSubmarine;
}
/**
 * Insert the method's description here.
 * Creation date: (26-11-01 21:54:08)
 * @param newIsTelevangelist boolean
 */
public void setIsTelevangelist(boolean newIsTelevangelist) {
	isTelevangelist = newIsTelevangelist;
}
/**
 * Insert the method's description here.
 * Creation date: (26-11-01 21:15:09)
 * @param newIsTrader boolean
 */
public void setIsTrader(boolean newIsTrader) {
	isTrader = newIsTrader;
}
/**
 * Insert the method's description here.
 * Creation date: (26-11-01 21:10:50)
 * @param newLossMoveToDmgNone boolean
 */
public void setLossMoveToDmgNone(boolean newLossMoveToDmgNone) {
	lossMoveToDmgNone = newLossMoveToDmgNone;
}
/**
 * Insert the method's description here.
 * Creation date: (26-11-01 21:11:36)
 * @param newMaxFuel int
 */
public void setMaxFuel(int newMaxFuel) {
	maxFuel = newMaxFuel;
}
/**
 * Insert the method's description here.
 * Creation date: (26-11-01 21:00:55)
 * @param newMaxHP int
 */
public void setMaxHP(int newMaxHP) {
	maxHP = newMaxHP;
}
/**
 * Insert the method's description here.
 * Creation date: (26-11-01 21:03:56)
 * @param newMaxMovePoints int
 */
public void setMaxMovePoints(int newMaxMovePoints) {
	maxMovePoints = newMaxMovePoints;
}
/**
 * Insert the method's description here.
 * Creation date: (26-11-01 21:58:19)
 * @param newMountedBonus double
 */
public void setMountedBonus(double newMountedBonus) {
	mountedBonus = newMountedBonus;
}
/**
 * Insert the method's description here.
 * Creation date: (26-11-01 22:44:20)
 * @param newMovementTypeAir boolean
 */
public void setMovementTypeAir(boolean newMovementTypeAir) {
	movementTypeAir = newMovementTypeAir;
}
/**
 * Insert the method's description here.
 * Creation date: (26-11-01 22:44:35)
 * @param newMovementTypeLand boolean
 */
public void setMovementTypeLand(boolean newMovementTypeLand) {
	movementTypeLand = newMovementTypeLand;
}
/**
 * Insert the method's description here.
 * Creation date: (26-11-01 22:44:58)
 * @param newMovementTypeMountain boolean
 */
public void setMovementTypeMountain(boolean newMovementTypeMountain) {
	movementTypeMountain = newMovementTypeMountain;
}
/**
 * Insert the method's description here.
 * Creation date: (26-11-01 22:45:15)
 * @param newMovementTypeSea boolean
 */
public void setMovementTypeSea(boolean newMovementTypeSea) {
	movementTypeSea = newMovementTypeSea;
}
/**
 * Insert the method's description here.
 * Creation date: (26-11-01 22:45:31)
 * @param newMovementTypeShallowWater boolean
 */
public void setMovementTypeShallowWater(boolean newMovementTypeShallowWater) {
	movementTypeShallowWater = newMovementTypeShallowWater;
}
/**
 * Insert the method's description here.
 * Creation date: (26-11-01 22:45:49)
 * @param newMovementTypeTrade boolean
 */
public void setMovementTypeTrade(boolean newMovementTypeTrade) {
	movementTypeTrade = newMovementTypeTrade;
}
/**
 * Insert the method's description here.
 * Creation date: (26-11-01 20:56:14)
 * @param newName java.lang.String
 */
public void setName(java.lang.String newName) {
	name = newName;
}
/**
 * Insert the method's description here.
 * Creation date: (26-11-01 21:51:54)
 * @param newNeedsNoSupport boolean
 */
public void setNeedsNoSupport(boolean newNeedsNoSupport) {
	needsNoSupport = newNeedsNoSupport;
}
/**
 * Insert the method's description here.
 * Creation date: (26-11-01 21:11:09)
 * @param newNoFuelThenCrash boolean
 */
public void setNoFuelThenCrash(boolean newNoFuelThenCrash) {
	noFuelThenCrash = newNoFuelThenCrash;
}
/**
 * Insert the method's description here.
 * Creation date: (26-11-01 21:13:04)
 * @param newNoIndex boolean
 */
public void setNoIndex(boolean newNoIndex) {
	noIndex = newNoIndex;
}
/**
 * Insert the method's description here.
 * Creation date: (26-11-01 21:52:15)
 * @param newNoSlaves boolean
 */
public void setNoSlaves(boolean newNoSlaves) {
	noSlaves = newNoSlaves;
}
/**
 * Insert the method's description here.
 * Creation date: (26-11-01 21:19:44)
 * @param newNoZoc boolean
 */
public void setNoZoc(boolean newNoZoc) {
	noZoc = newNoZoc;
}
/**
 * Insert the method's description here.
 * Creation date: (26-11-01 21:57:38)
 * @param newOnlyBuildOne boolean
 */
public void setOnlyBuildOne(boolean newOnlyBuildOne) {
	onlyBuildOne = newOnlyBuildOne;
}
/**
 * Insert the method's description here.
 * Creation date: (26-11-01 22:01:56)
 * @param newParatrooper boolean
 */
public void setParatrooper(boolean newParatrooper) {
	paratrooper = newParatrooper;
}
/**
 * Insert the method's description here.
 * Creation date: (26-11-01 22:02:23)
 * @param newParatrooperTransport boolean
 */
public void setParatrooperTransport(boolean newParatrooperTransport) {
	paratrooperTransport = newParatrooperTransport;
}
/**
 * Insert the method's description here.
 * Creation date: (26-11-01 21:01:53)
 * @param newPowerPoints int
 */
public void setPowerPoints(int newPowerPoints) {
	powerPoints = newPowerPoints;
}
/**
 * Insert the method's description here.
 * Creation date: (26-11-01 21:20:09)
 * @param newSettleCityType java.lang.String
 */
public void setSettleCityType(java.lang.String newSettleCityType) {
	settleCityType = newSettleCityType;
}
/**
 * Insert the method's description here.
 * Creation date: (26-11-01 22:46:13)
 * @param newSettleLand boolean
 */
public void setSettleLand(boolean newSettleLand) {
	SettleLand = newSettleLand;
}
/**
 * Insert the method's description here.
 * Creation date: (26-11-01 22:46:27)
 * @param newSettleMountain boolean
 */
public void setSettleMountain(boolean newSettleMountain) {
	settleMountain = newSettleMountain;
}
/**
 * Insert the method's description here.
 * Creation date: (26-11-01 21:20:35)
 * @param newSettleSize int
 */
public void setSettleSize(int newSettleSize) {
	settleSize = newSettleSize;
}
/**
 * Insert the method's description here.
 * Creation date: (26-11-01 22:46:42)
 * @param newSettleWater boolean
 */
public void setSettleWater(boolean newSettleWater) {
	settleWater = newSettleWater;
}
/**
 * Insert the method's description here.
 * Creation date: (26-11-01 21:01:24)
 * @param newShieldCost int
 */
public void setShieldCost(int newShieldCost) {
	shieldCost = newShieldCost;
}
/**
 * Insert the method's description here.
 * Creation date: (26-11-01 21:02:24)
 * @param newShieldHunger int
 */
public void setShieldHunger(int newShieldHunger) {
	shieldHunger = newShieldHunger;
}
/**
 * Insert the method's description here.
 * Creation date: (26-11-01 21:51:31)
 * @param newSingleUse boolean
 */
public void setSingleUse(boolean newSingleUse) {
	singleUse = newSingleUse;
}
/**
 * Insert the method's description here.
 * Creation date: (26-11-01 22:47:32)
 * @param newSizeLarge boolean
 */
public void setSizeLarge(boolean newSizeLarge) {
	sizeLarge = newSizeLarge;
}
/**
 * Insert the method's description here.
 * Creation date: (26-11-01 22:47:20)
 * @param newSizeMedium boolean
 */
public void setSizeMedium(boolean newSizeMedium) {
	sizeMedium = newSizeMedium;
}
/**
 * Insert the method's description here.
 * Creation date: (26-11-01 22:47:00)
 * @param newSizeSmall boolean
 */
public void setSizeSmall(boolean newSizeSmall) {
	sizeSmall = newSizeSmall;
}
/**
 * Insert the method's description here.
 * Creation date: (26-11-01 22:05:44)
 * @param newSoundAcknowledge java.lang.String
 */
public void setSoundAcknowledge(java.lang.String newSoundAcknowledge) {
	soundAcknowledge = newSoundAcknowledge;
}
/**
 * Insert the method's description here.
 * Creation date: (26-11-01 22:06:33)
 * @param newSoundAttack java.lang.String
 */
public void setSoundAttack(java.lang.String newSoundAttack) {
	soundAttack = newSoundAttack;
}
/**
 * Insert the method's description here.
 * Creation date: (26-11-01 22:06:10)
 * @param newSoundCantMove java.lang.String
 */
public void setSoundCantMove(java.lang.String newSoundCantMove) {
	soundCantMove = newSoundCantMove;
}
/**
 * Insert the method's description here.
 * Creation date: (26-11-01 22:07:35)
 * @param newSoundDeath java.lang.String
 */
public void setSoundDeath(java.lang.String newSoundDeath) {
	soundDeath = newSoundDeath;
}
/**
 * Insert the method's description here.
 * Creation date: (26-11-01 22:04:19)
 * @param newSoundMove java.lang.String
 */
public void setSoundMove(java.lang.String newSoundMove) {
	soundMove = newSoundMove;
}
/**
 * Insert the method's description here.
 * Creation date: (26-11-01 22:03:44)
 * @param newSoundSelect1 java.lang.String
 */
public void setSoundSelect1(java.lang.String newSoundSelect1) {
	soundSelect1 = newSoundSelect1;
}
/**
 * Insert the method's description here.
 * Creation date: (26-11-01 22:04:00)
 * @param newSoundSelect2 java.lang.String
 */
public void setSoundSelect2(java.lang.String newSoundSelect2) {
	soundSelect2 = newSoundSelect2;
}
/**
 * Insert the method's description here.
 * Creation date: (26-11-01 22:07:14)
 * @param newSoundVictory java.lang.String
 */
public void setSoundVictory(java.lang.String newSoundVictory) {
	soundVictory = newSoundVictory;
}
/**
 * Insert the method's description here.
 * Creation date: (26-11-01 22:06:54)
 * @param newSoundWork java.lang.String
 */
public void setSoundWork(java.lang.String newSoundWork) {
	soundWork = newSoundWork;
}
/**
 * Insert the method's description here.
 * Creation date: (26-11-01 21:29:13)
 * @param newSpaceLaunch int
 */
public void setSpaceLaunch(int newSpaceLaunch) {
	spaceLaunch = newSpaceLaunch;
}
/**
 * Insert the method's description here.
 * Creation date: (26-11-01 21:50:42)
 * @param newThrowParty boolean
 */
public void setThrowParty(boolean newThrowParty) {
	throwParty = newThrowParty;
}
/**
 * Insert the method's description here.
 * Creation date: (26-11-01 21:31:41)
 * @param newVictoryEnslavement boolean
 */
public void setVictoryEnslavement(boolean newVictoryEnslavement) {
	victoryEnslavement = newVictoryEnslavement;
}
/**
 * Insert the method's description here.
 * Creation date: (26-11-01 22:47:57)
 * @param newVisionClassStandart boolean
 */
public void setVisionClassStandard(boolean newVisionClassStandard) {
	visionClassStandard = newVisionClassStandard;
}
/**
 * Insert the method's description here.
 * Creation date: (26-11-01 22:48:21)
 * @param newVisionClassStealth boolean
 */
public void setVisionClassStealth(boolean newVisionClassStealth) {
	visionClassStealth = newVisionClassStealth;
}
/**
 * Insert the method's description here.
 * Creation date: (26-11-01 22:48:40)
 * @param newVisionClassUnderwater boolean
 */
public void setVisionClassUnderwater(boolean newVisionClassUnderwater) {
	VisionClassUnderwater = newVisionClassUnderwater;
}
/**
 * Insert the method's description here.
 * Creation date: (26-11-01 21:04:47)
 * @param newVisionRange int
 */
public void setVisionRange(int newVisionRange) {
	visionRange = newVisionRange;
}
/**
 * Insert the method's description here.
 * Creation date: (26-11-01 22:00:05)
 * @param newWoodenShip boolean
 */
public void setWoodenShip(boolean newWoodenShip) {
	woodenShip = newWoodenShip;
}
/**
 * Insert the method's description here.
 * Creation date: (26-11-01 22:01:38)
 * @param newWoodenShipBonus double
 */
public void setWoodenShipBonus(double newWoodenShipBonus) {
	woodenShipBonus = newWoodenShipBonus;
}
/**
 * Insert the method's description here.
 * Creation date: (26-11-01 20:59:45)
 * @param newZBRangeAttack int
 */
public void setZBRangeAttack(int newZBRangeAttack) {
	zBRangeAttack = newZBRangeAttack;
}
}
